import Calendar from './Calendar';
import { OptionDataValueDate } from '../../util/types';
export default function calendarPrepareCustom(coordSys: Calendar): {
    coordSys: {
        type: string;
        x: any;
        y: any;
        width: any;
        height: any;
        cellWidth: number;
        cellHeight: number;
        rangeInfo: {
            start: import("./Calendar").CalendarParsedDateInfo;
            end: import("./Calendar").CalendarParsedDateInfo;
            weeks: number;
            dayCount: number;
        };
    };
    api: {
        coord: (data: OptionDataValueDate, clamp?: boolean) => any[];
    };
};
